> For the complete documentation index, see [llms.txt](https://docs.wisej.com/extensions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.eventcollection.md).

# EventCollection

Namespace: **Wisej.Web.Ext.FullCalendar**

Assembly: **Wisej.Web.Ext.FullCalendar** (3.2.0.0)

Collection of [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) objects.

{% tabs %}
{% tab title="C#" %}

```csharp
public class EventCollection : IList<Event>, ICollection<Event>, IEnumerable<Event>, IEnumerable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class EventCollection
    Inherits IList(Of [Event])
    Implements ICollection(Of [Event]), IEnumerable(Of [Event]), IEnumerable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Count

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns the number of [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) objects in the collection.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Item(index)

[Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md): Returns or sets the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) at the specified position.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Item(id)

[Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md): Returns or sets the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) identified by the ID.

## Methods

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(day)

Adds a new all-day [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to the collection.

| Parameter | Type                                                                    | Description                                                                                            |
| --------- | ----------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| **day**   | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date of the all-day event. |

**Returns:** [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md). The newly added all-day [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(start, end)

Add a new [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

| Parameter | Type                                                                    | Description                                                                                                      |
| --------- | ----------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **start** | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The starting [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date and time of the event. |
| **end**   | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The ending [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date and time of the event.   |

**Returns:** [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md). The newly added [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(start, duration)

Add a new [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

| Parameter    | Type                                                                    | Description                                                                                                      |
| ------------ | ----------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **start**    | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The starting [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date and time of the event. |
| **duration** | [TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan) | The [TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan) duration of the event.               |

**Returns:** [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md). The newly added [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(id, day)

Add a new [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

| Parameter | Type                                                                    | Description                                                                                            |
| --------- | ----------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| **id**    | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string)     | A string that represents the ID of this event.                                                         |
| **day**   | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date of the all-day event. |

**Returns:** [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md). The newly added [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(id, start, end)

Add a new [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

| Parameter | Type                                                                    | Description                                                                                                      |
| --------- | ----------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **id**    | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string)     | A string that represents the ID of this event.                                                                   |
| **start** | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The starting [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date and time of the event. |
| **end**   | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The ending [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date and time of the event.   |

**Returns:** [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md). The newly added [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(id, start, duration)

Add a new [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

| Parameter    | Type                                                                    | Description                                                                                                      |
| ------------ | ----------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **id**       | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string)     | A string that represents the ID of this event.                                                                   |
| **start**    | [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) | The starting [DateTime](https://docs.microsoft.com/en-us/dotnet/api/system.datetime) date and time of the event. |
| **duration** | [TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan) | The [TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan) duration of the event.               |

**Returns:** [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md). The newly added [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Add(ev)

Adds a new [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to the collection.

| Parameter | Type                                                                                 | Description                                                                                                        |
| --------- | ------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ |
| **ev**    | [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) | The [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to add to the collection. |

### ![](/files/-MirBsnmjWIxMsN8l0Ms)AddRange(list)

Adds the list of [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) items to the collection.

| Parameter | Type                                                                                                      | Description                                  |
| --------- | --------------------------------------------------------------------------------------------------------- | -------------------------------------------- |
| **list**  | [ICollection\<Event>](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic.icollection) | The list of events to add to the collection. |

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Clear()

Removes all events.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Contains(ev)

Checks if the specified [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) exists in the collection.

| Parameter | Type                                                                                 | Description                                                                                           |
| --------- | ------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------- |
| **ev**    | [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) | The [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to look for. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)CopyTo(array, arrayIndex)

Copies all events to the specified array.

| Parameter      | Type                                                                                     | Description                           |
| -------------- | ---------------------------------------------------------------------------------------- | ------------------------------------- |
| **array**      | [Event\[\]](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) | The destination array.                |
| **arrayIndex** | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32)                        | The index at which to begin the copy. |

### ![](/files/-MirBsnmjWIxMsN8l0Ms)GetEnumerator()

Returns an enumerator that iterates all the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) objects in the collection.

**Returns:** [IEnumerator\<Event>](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic.ienumerator).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)IndexOf(ev)

Returns the index of the specified [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) in the collection.

| Parameter | Type                                                                                 | Description                                                                                           |
| --------- | ------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------- |
| **ev**    | [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) | The [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to look for. |

**Returns:** [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Insert(index, ev)

Returns the index of the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) in the collection.

| Parameter | Type                                                                                 | Description                                                                                         |
| --------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- |
| **index** | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32)                    | The position in the collection where to insert the event.                                           |
| **ev**    | [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) | The [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to insert. |

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Remove(ev)

Removes the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) from the collection and updates the calendar.

| Parameter | Type                                                                                 | Description                                                                                         |
| --------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- |
| **ev**    | [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) | The [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to remove. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)RemoveAt(index)

Removes the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) at the specified index from the collection and updates the calendar.

| Parameter | Type                                                              | Description                                                                                                      |
| --------- | ----------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **index** | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32) | The index of the [Event](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.event.md) to remove. |

## Events

### ![](/files/-MirBsnmjWIxMsN8l0Ms)CollectionChanged

[CollectionChangeEventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.collectionchangeeventhandler) Fired when the collection changes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.eventcollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
